Bug 571853 - M2 statically links against gfortran
Summary: M2 statically links against gfortran
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Macaulay2
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mark Chappell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-09 17:25 UTC by Mark Chappell
Modified: 2010-04-09 04:29 UTC (History)
2 users (show)

Fixed In Version: 4ti2-1.3.2-5.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 02:20:53 UTC
Type: ---


Attachments (Terms of Use)

Description Mark Chappell 2010-03-09 17:25:41 UTC
Subject says it all really.

It's a difficult one to spot unless you're actually trawling around trying to figure out what's going on.

http://kojipkgs.fedoraproject.org/packages/Macaulay2/1.2/4.fc12/data/logs/i586/build.log

(search for '/M2".tmp')

-Wl,-Bstatic -lgfortranbegin -lgfortran -Wl,-Bdynamic 

This was apparently done to get around the version change related to Ubuntu 8.04->8.10

--

# Under Ubuntu 8.10 -lgfortranbegin & -lgfortran come from libgfortran3, but that package isn't in Ubuntu 8.4
# so we try to link it statically, because there are many Ubuntu users of 8.4.
# Linking statically with -llapack -lblas results in conflicts between symbols in the two packages under Ubuntu:
#     /usr/lib/gcc/x86_64-linux-gnu/4.3.2/../../../../lib/libblas.a(xerbla.o): In function `xerbla_':
#     (.text+0x0): multiple definition of `xerbla_'
#     /usr/lib/gcc/x86_64-linux-gnu/4.3.2/../../../../lib/liblapack.a(xerbla.o):(.text+0x0): first defined here
#     collect2: ld returned 1 exit status
# Note: static version is here:
#  /usr/lib/gcc/x86_64-linux-gnu/4.3.2/libgfortran.a
#  /usr/lib/gcc/x86_64-linux-gnu/4.3.2/libgfortranbegin.a

Comment 1 Mark Chappell 2010-03-09 17:29:16 UTC
Currently testing a fix for v1.3.1 

Add "--disable-fc-lib-ldflags" to the configure options.

Rex, I'd be interested to hear if you think we just update F-11/F-12 to 1.3.1-something or just apply the fix, the required libs are currently in F-11-testing and F-12-testing.


Mark

Comment 2 Rex Dieter 2010-03-09 17:59:16 UTC
good catch!

F-12 certainly.  

F-11... I'd prefer to be a little more conservative there and update only when we're confident things are working well... unless there's some other justification

Comment 3 Fedora Update System 2010-03-10 16:12:59 UTC
Macaulay2-1.3.1-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/Macaulay2-1.3.1-3.fc12

Comment 4 Fedora Update System 2010-03-10 16:15:03 UTC
Macaulay2-1.3.1-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/Macaulay2-1.3.1-3.fc13

Comment 5 Fedora Update System 2010-03-10 18:31:37 UTC
4ti2-1.3.2-5.fc13,normaliz-2.2-3.fc13,Macaulay2-1.3.1-4.fc13,mpir-1.3.1-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/4ti2-1.3.2-5.fc13,normaliz-2.2-3.fc13,Macaulay2-1.3.1-4.fc13,mpir-1.3.1-3.fc13

Comment 6 Fedora Update System 2010-03-11 13:29:57 UTC
4ti2-1.3.2-5.fc13, normaliz-2.2-3.fc13, Macaulay2-1.3.1-4.fc13, mpir-1.3.1-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update 4ti2 normaliz Macaulay2 mpir'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/4ti2-1.3.2-5.fc13,normaliz-2.2-3.fc13,Macaulay2-1.3.1-4.fc13,mpir-1.3.1-3.fc13

Comment 7 Fedora Update System 2010-03-12 04:19:09 UTC
Macaulay2-1.3.1-3.fc12, 4ti2-1.3.2-5.fc12, normaliz-2.2-3.fc12, mpir-1.3.1-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Macaulay2 4ti2 normaliz mpir'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/4ti2-1.3.2-5.fc12,normaliz-2.2-3.fc12,mpir-1.3.1-3.fc12,Macaulay2-1.3.1-3.fc12

Comment 8 Fedora Update System 2010-03-30 02:20:34 UTC
Macaulay2-1.3.1-3.fc12, 4ti2-1.3.2-5.fc12, normaliz-2.2-3.fc12, mpir-1.3.1-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-04-09 04:29:09 UTC
4ti2-1.3.2-5.fc13, normaliz-2.2-3.fc13, Macaulay2-1.3.1-4.fc13, mpir-1.3.1-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.